## greenwich 0.5.2

=== Makefile ===
# Makefile for Greenwich 0.5.0
# $Id: Makefile,v 1.4 2003/04/10 09:45:35 jodrell Exp $

PREFIX=/usr
LIBDIR=$(PREFIX)/lib
MANDIR=$(PREFIX)/man1
BINDIR=$(PREFIX)/bin
PIXMAPDIR=$(PREFIX)/share/pixmaps
DESKTOPDIR=$(PREFIX)/share/gnome/apps/Internet/

all: greenwich

prereq:
	perl -MCPAN -e 'install Gnome ; install Locale::Maketext'

greenwich:
	mkdir build
	perl -ne 's!\@LIBDIR\@!$(LIBDIR)!g ; print' < src/greenwich > build/greenwich
	perl -ne 's!\@PIXMAPDIR\@!$(PIXMAPDIR)!g ; print' < src/greenwich.desktop > build/greenwich.desktop

install:
	mkdir -p $(MANDIR)
	mkdir -p $(BINDIR)
	mkdir -p $(PIXMAPDIR)
	mkdir -p $(DESKTOPDIR)
	mkdir -p $(LIBDIR)/Greenwich

	install -m 0644 src/greenwich.1 $(MANDIR)
	install -m 0755 build/greenwich $(BINDIR)
	install -m 0644 src/greenwich.png $(PIXMAPDIR)
	install -m 0644 src/redhat-whois.png $(PIXMAPDIR)
	install -m 0644 build/greenwich.desktop $(DESKTOPDIR)
	cp -Rvp lib/* $(LIBDIR)/Greenwich/

clean:
	rm -rf build/

uninstall:
	rm -f $(MANDIR)/greenwich.1 $(BINDIR)/greenwich $(PIXMAPDIR)/greenwich.png $(PIXMAPDIR)/redhat-whois.png $(DESKTOPDIR)/greenwich.desktop
	rm -rf $(LIBDIR)/Greenwich

## greenwich 0.8.2

=== debian/changelog ===
greenwich (0.8.2-6) unstable; urgency=low

  * Add dependency on liblocale-gettext-perl (Closes: #690864)
  * Fix Polish translation encoding, thanks to Jakub Wilk
    (Closes: #690867)

 -- David Paleino <dapal@debian.org>  Tue, 23 Oct 2012 17:59:38 +0200

greenwich (0.8.2-5) unstable; urgency=low

  * debian/control:
    - updated Vcs-* fields
    - Depends line wrapped
    - added ${misc:Depends} to Depends, we're using debhelper
    - Build-Depends: debhelper updated, quilt removed
    - Standards-Version to 3.9.1
    - email address updated
  * debian/patches/*: added patches descriptions
  * debian/rules: switched to dh7-style
  * debian/compat, debian/copyright updated
  * debian/install, debian/greenwich.desktop added
  * Switch to "3.0 (quilt)" source format
  * Update debian/watch to point to the proper location
  * Added Italian translation (03-add_italian_translation.patch)

 -- David Paleino <dapal@debian.org>  Sat, 12 Feb 2011 16:58:04 +0100

greenwich (0.8.2-4) unstable; urgency=low

  * Package adopted (Closes: #477829, #479067)
  * debian/copyright updated
  * debian/watch updated: ignore only 0.11.
  * debian/control:
    - Standards-Version updated to 3.7.3 (no changes needed)
    - removed Build-Depends on cdbs, imagemagick and menu
    - added Build-Depends on quilt
    - using Homepage field in source stanza
    - Vcs-* fields added
  * debian/compat bumped to 5
  * debian/rules converted to debhelper
  * debian/patches/*:
    - 01-fix_manpage.patch added to fix hyphen-used-as-minus-sign warning
    - 02-fix_desktop-file.patch added to fix desktop-entry-contains-unknown-key
      MultipleArgs
  * debian/README.Debian dropped

 -- David Paleino <d.paleino@gmail.com>  Fri, 23 May 2008 19:35:40 +0200

greenwich (0.8.2-3) unstable; urgency=low

  * Updated watch file. Closes: #462825.
  * orphaned.

 -- Mark Howard <mh@debian.org>  Mon, 10 Dec 2007 10:01:54 +0000

greenwich (0.8.2-2) unstable; urgency=low

  * Fixed copyright formatting. Closes: #455095.

 -- Mark Howard <mh@debian.org>  Mon, 10 Dec 2007 08:57:03 +0000

greenwich (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * patches/01-instdirs.diff removed, merged upstream
  * Updated menu entry
  * Updated debian/watch. Closes: #449837. 

 -- Mark Howard <mh@debian.org>  Sat, 08 Dec 2007 15:08:15 +0000

greenwich (0.8.1-3) unstable; urgency=low

  * Added dependency for libgtk2-gladexml-perl. Closes: #334276 

 -- Mark Howard <mh@debian.org>  Sun,  4 Jun 2006 10:09:51 +0100

greenwich (0.8.1-2) unstable; urgency=low

  * Fixed buld depends formatting. Closes: #316942

 -- Mark Howard <mh@debian.org>  Sun, 17 Jul 2005 06:56:00 +0100

greenwich (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Updated dependencies for new release.
  * patches/01-instdirs.diff clean up a few install dirs

 -- Mark Howard <mh@debian.org>  Sun,  3 Jul 2005 14:35:00 +0100

greenwich (0.8.0-1) unstable; urgency=low

  * New upstream release 

 -- Mark Howard <mh@debian.org>  Tue, 16 Nov 2004 20:47:45 +0000

greenwich (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Howard <mh@debian.org>  Wed, 10 Dec 2003 10:39:36 +0000

greenwich (0.5.2-3) unstable; urgency=low

  * Remove cmap.xpm ugliness thanks to new menu policy. Closes: #200077

 -- Mark Howard <mh@debian.org>  Tue, 26 Aug 2003 19:01:46 +0100

greenwich (0.5.2-2) unstable; urgency=low

  * Build depend on menu to fix FTBFS. Closes: #189875 

 -- Mark Howard <mh@debian.org>  Tue, 22 Apr 2003 09:08:32 +0100

greenwich (0.5.2-1) unstable; urgency=low

  * New upstream release
  * Changed section to gnome
  * Standards -> 3.5.9
  * Update short description
  * Move perl libraries to /usr/share/perl5
  * Modified icon to conform to menu2 requirements
  * Added hints to menu 

 -- Mark Howard <mh@debian.org>  Tue,  1 Apr 2003 09:32:40 +0100

greenwich (0.4.0-3) unstable; urgency=low

  * Added perl 5.6 library dependencies as alternative to perl 5.8  so
    greenwich may enter testing without perl 5.8
  * Standards -> 3.5.8

 -- Mark Howard <mh@debian.org>  Mon, 25 Nov 2002 19:48:41 +0000

greenwich (0.4.0-2) unstable; urgency=low

  * Standards -> 3.5.7
  * Maintainer email -> @debian.org

 -- Mark Howard <mh@debian.org>  Sun, 20 Oct 2002 10:15:47 +0100

greenwich (0.4.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Howard <mh@tildemh.com>  Sat,  7 Sep 2002 18:47:02 +0100

greenwich (0.3.2-2) unstable; urgency=low

  * Removed use GtkHandyCList line as it is not used within the program
    Closes: #155754, #155963

 -- Mark Howard <mh@tildemh.com>  Wed, 14 Aug 2002 09:09:20 +0100

greenwich (0.3.2-1) unstable; urgency=low

  * Initial Release. Closes: #153418
    Created man page for Debian Package.

 -- Mark Howard <mh@tildemh.com>  Mon,  8 Jul 2002 19:28:25 +0100

=== debian/control ===
Source: greenwich
Section: gnome
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: libgnome2-perl
Standards-Version: 3.9.1
Homepage: http://jodrell.net/projects/greenwich
Vcs-Git: git://git.debian.org/git/collab-maint/greenwich.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/greenwich.git

Package: greenwich
Architecture: all
Depends: whois
 , perl
 , perl (>= 5.8) | liblocale-maketext-perl
 , libgnome2-perl
 , libgtk2-perl
 , libgnome2-gconf-perl
 , libgtk2-gladexml-perl
 , liblocale-gettext-perl
 , ${misc:Depends}
Description: graphical whois client for GNOME
 A GNOME application which allows you to perform whois lookups. You enter the
 whois server to use (or choose from predefined values), type the name of the
 host you want to find details of; and the full output from the server will be
 shown. For convenience, output can be easily saved to file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/greenwich/ -name "*.pm" | xargs chmod 644

=== debian/watch ===
version=3
# Note: upstream has an old, badly named 0.11
opts=uversionmangle=s/^(0\.11)/0.$1/ \
http://jodrell.net/files/unsupported/greenwich/greenwich-(\d+.*)\.tar\.gz
